# _DelegateInfo Struct Reference

`#include <delegate.h>`

## Data Fields

char * | path
char * | decode
char * | encode
char * | commands
long | mode
MagickBooleanType | thread_support
MagickBooleanType | spawn
MagickBooleanType | stealth
struct _DelegateInfo * | previous
struct _DelegateInfo * | next
unsigned long | signature

## Field Documentation

char* _DelegateInfo::path

char * _DelegateInfo::decode

char * _DelegateInfo::encode

char * _DelegateInfo::commands

long _DelegateInfo::mode

MagickBooleanType _DelegateInfo::thread_support

MagickBooleanType _DelegateInfo::spawn

MagickBooleanType _DelegateInfo::stealth

struct _DelegateInfo* _DelegateInfo::previous `[read]`

struct _DelegateInfo * _DelegateInfo::next `[read]`

unsigned long _DelegateInfo::signature

The documentation for this struct was generated from the following file:

- delegate.h